--- src/m_whois.c.orig	Fri Apr  6 20:32:33 2001
+++ src/m_whois.c	Fri Apr  6 20:30:23 2001
@@ -289,11 +289,17 @@
                        me.name, parv[0], name);
 #ifdef WHOIS_NOTICE
           if ((MyOper(acptr)) && ((acptr)->umodes & FLAGS_SPY) &&
-              (MyConnect(sptr)) && (IsPerson(sptr)) && (acptr != sptr))
-            sendto_one(acptr,
-                       ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a /whois on you.",
-                       me.name, acptr->name, parv[0], sptr->username,
-                       sptr->host);
+              (IsPerson(sptr)) && (acptr != sptr))
+            if (MyConnect(sptr)) 
+              sendto_one(acptr,
+                         ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a /whois on you.",
+                         me.name, acptr->name, parv[0], sptr->username,
+                         sptr->host);
+            else
+              sendto_one(acptr,
+                         ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a remote /whois on you. [%s]",
+                         me.name, acptr->name, parv[0], sptr->username,
+                         sptr->host, sptr->user->server);
 #endif /* #ifdef WHOIS_NOTICE */
 
 
@@ -432,11 +438,17 @@
                        me.name, parv[0], name);
 #ifdef WHOIS_NOTICE
           if ((MyOper(acptr)) && ((acptr)->umodes & FLAGS_SPY) &&
-              (MyConnect(sptr)) && (IsPerson(sptr)) && (acptr != sptr))
-            sendto_one(acptr,
-                       ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a /whois on you.",
-                       me.name, acptr->name, parv[0], sptr->username,
-                       sptr->host);
+              (IsPerson(sptr)) && (acptr != sptr))
+            if (MyConnect(sptr))
+              sendto_one(acptr,
+                         ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a /whois on you.",
+                         me.name, acptr->name, parv[0], sptr->username,
+                         sptr->host);
+            else
+              sendto_one(acptr,
+                         ":%s NOTICE %s :*** Notice -- %s (%s@%s) is doing a remote /whois on you. [%s]",
+                         me.name, acptr->name, parv[0], sptr->username,
+                         sptr->host, sptr->user->server);
 #endif /* #ifdef WHOIS_NOTICE */
 
           if ((acptr->user
